<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="sdms">
  <signal id="buildRegistration" name="buildRegistration"></signal>
  <signal id="paymentComplete" name="paymentComplete" activiti:scope="processInstance"></signal>
  <process id="vso-item-process" name="vso-item-process" isExecutable="true">
    <startEvent id="startevent1" name="Start"></startEvent>
    <sequenceFlow id="flow73" sourceRef="startevent1" targetRef="vso-item-1"></sequenceFlow>
    <serviceTask id="vso-item-1" name="Prepare" activiti:expression="#{vsoItemImpl.prepare(execution)}"></serviceTask>
    <sequenceFlow id="flow74" sourceRef="vso-item-1" targetRef="vso-item-2"></sequenceFlow>
    <serviceTask id="vso-item-2" name="Build Picking" activiti:expression="#{vsoItemImpl.buildPicking(execution)}"></serviceTask>
    <serviceTask id="vso-item-3" name="Build DO" activiti:expression="#{vsoItemImpl.buildDO(execution)}"></serviceTask>
    <serviceTask id="vso-item-4" name="Build IVU" activiti:expression="#{vsoItemImpl.buildIVU(execution)}"></serviceTask>
    <parallelGateway id="parallelgateway1" name="Parallel Gateway"></parallelGateway>
    <sequenceFlow id="flow75" sourceRef="parallelgateway1" targetRef="vso-item-3"></sequenceFlow>
    <sequenceFlow id="flow76" sourceRef="parallelgateway1" targetRef="vso-item-4"></sequenceFlow>
    <parallelGateway id="parallelgateway2" name="Parallel Gateway"></parallelGateway>
    <sequenceFlow id="flow78" sourceRef="vso-item-4" targetRef="parallelgateway2"></sequenceFlow>
    <sequenceFlow id="flow80" sourceRef="parallelgateway2" targetRef="vso-item-5"></sequenceFlow>
    <serviceTask id="vso-item-5" name="Build Registration" activiti:expression="#{vsoItemImpl.buildDocumentRegistration(execution)}"></serviceTask>
    <sequenceFlow id="flow81" sourceRef="vso-item-5" targetRef="vso-item-6"></sequenceFlow>
    <serviceTask id="vso-item-6" name="Update VSO" activiti:expression="#{vsoItemImpl.updateFinalVSO(execution)}"></serviceTask>
    <exclusiveGateway id="exclusivegateway1" name="Exclusive Gateway"></exclusiveGateway>
    <sequenceFlow id="flow83" sourceRef="vso-item-2" targetRef="exclusivegateway1"></sequenceFlow>
    <sequenceFlow id="flow84" sourceRef="exclusivegateway1" targetRef="parallelgateway1">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${pickingCreated}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="flow86" sourceRef="vso-item-3" targetRef="parallelgateway2"></sequenceFlow>
    <sequenceFlow id="flow87" sourceRef="exclusivegateway1" targetRef="vso-item-6">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!pickingCreated}]]></conditionExpression>
    </sequenceFlow>
    <dataObject id="pickingCreated" name="pickingCreated" itemSubjectRef="xsd:boolean">
      <extensionElements>
        <activiti:value>false</activiti:value>
      </extensionElements>
    </dataObject>
    <endEvent id="endevent1" name="End"></endEvent>
    <serviceTask id="vso-item-7" name="Update IVU" activiti:expression="#{vsoItemImpl.updateIVU(execution)}"></serviceTask>
    <sequenceFlow id="flow88" sourceRef="vso-item-6" targetRef="vso-item-7"></sequenceFlow>
    <serviceTask id="vso-item-8" name="Close Prospect" activiti:expression="#{vsoItemImpl.closeProspect(execution)}"></serviceTask>
    <sequenceFlow id="flow89" sourceRef="vso-item-7" targetRef="vso-item-8"></sequenceFlow>
    <sequenceFlow id="flow90" sourceRef="vso-item-8" targetRef="endevent1"></sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_vso-item-process">
    <bpmndi:BPMNPlane bpmnElement="vso-item-process" id="BPMNPlane_vso-item-process">
      <bpmndi:BPMNShape bpmnElement="startevent1" id="BPMNShape_startevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="20.0" y="293.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-1" id="BPMNShape_vso-item-1">
        <omgdc:Bounds height="55.0" width="105.0" x="90.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-2" id="BPMNShape_vso-item-2">
        <omgdc:Bounds height="55.0" width="105.0" x="230.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-3" id="BPMNShape_vso-item-3">
        <omgdc:Bounds height="55.0" width="105.0" x="635.0" y="150.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-4" id="BPMNShape_vso-item-4">
        <omgdc:Bounds height="55.0" width="105.0" x="635.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="parallelgateway1" id="BPMNShape_parallelgateway1">
        <omgdc:Bounds height="40.0" width="40.0" x="505.0" y="290.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="parallelgateway2" id="BPMNShape_parallelgateway2">
        <omgdc:Bounds height="40.0" width="40.0" x="805.0" y="290.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-5" id="BPMNShape_vso-item-5">
        <omgdc:Bounds height="81.0" width="105.0" x="890.0" y="270.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-6" id="BPMNShape_vso-item-6">
        <omgdc:Bounds height="55.0" width="105.0" x="1040.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="exclusivegateway1" id="BPMNShape_exclusivegateway1">
        <omgdc:Bounds height="40.0" width="40.0" x="390.0" y="290.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="endevent1" id="BPMNShape_endevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="1580.0" y="293.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-7" id="BPMNShape_vso-item-7">
        <omgdc:Bounds height="55.0" width="105.0" x="1190.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="vso-item-8" id="BPMNShape_vso-item-8">
        <omgdc:Bounds height="55.0" width="105.0" x="1370.0" y="283.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="flow73" id="BPMNEdge_flow73">
        <omgdi:waypoint x="55.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="90.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow74" id="BPMNEdge_flow74">
        <omgdi:waypoint x="195.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="230.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow75" id="BPMNEdge_flow75">
        <omgdi:waypoint x="525.0" y="290.0"></omgdi:waypoint>
        <omgdi:waypoint x="525.0" y="177.0"></omgdi:waypoint>
        <omgdi:waypoint x="635.0" y="177.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow76" id="BPMNEdge_flow76">
        <omgdi:waypoint x="545.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="635.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow78" id="BPMNEdge_flow78">
        <omgdi:waypoint x="740.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="805.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow80" id="BPMNEdge_flow80">
        <omgdi:waypoint x="845.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="890.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow81" id="BPMNEdge_flow81">
        <omgdi:waypoint x="995.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="1040.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow83" id="BPMNEdge_flow83">
        <omgdi:waypoint x="335.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="390.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow84" id="BPMNEdge_flow84">
        <omgdi:waypoint x="430.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="505.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow86" id="BPMNEdge_flow86">
        <omgdi:waypoint x="740.0" y="177.0"></omgdi:waypoint>
        <omgdi:waypoint x="825.0" y="177.0"></omgdi:waypoint>
        <omgdi:waypoint x="825.0" y="290.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow87" id="BPMNEdge_flow87">
        <omgdi:waypoint x="410.0" y="330.0"></omgdi:waypoint>
        <omgdi:waypoint x="410.0" y="459.0"></omgdi:waypoint>
        <omgdi:waypoint x="1092.0" y="455.0"></omgdi:waypoint>
        <omgdi:waypoint x="1092.0" y="338.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow88" id="BPMNEdge_flow88">
        <omgdi:waypoint x="1145.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="1190.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow89" id="BPMNEdge_flow89">
        <omgdi:waypoint x="1295.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="1370.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow90" id="BPMNEdge_flow90">
        <omgdi:waypoint x="1475.0" y="310.0"></omgdi:waypoint>
        <omgdi:waypoint x="1580.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>
